=head1 NAME

Gnome2::DruidPageEdge - wrapper for GnomeDruidPageEdge

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gnome2::DruidPage
                                +----Gnome2::DruidPageEdge



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gnome2::DruidPageEdge-E<gt>B<new> ($position)

=over

=item * $position (Gnome2::EdgePosition) 

=back

=head2 widget = Gnome2::DruidPageEdge-E<gt>B<new_aa> ($position)

=over

=item * $position (Gnome2::EdgePosition) 

=back

=head2 widget = Gnome2::DruidPageEdge-E<gt>B<new_with_vals> ($position, $antialiased, $title=undef, $text=undef, $logo=undef, $watermark=undef, $top_watermark=undef)

=over

=item * $position (Gnome2::EdgePosition) 

=item * $antialiased (boolean) 

=item * $title (string) 

=item * $text (string) 

=item * $logo (Gtk2::Gdk::Pixbuf or undef) 

=item * $watermark (Gtk2::Gdk::Pixbuf or undef) 

=item * $top_watermark (Gtk2::Gdk::Pixbuf or undef) 

=back

=head2 $druid_page_edge-E<gt>B<set_bg_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 $druid_page_edge-E<gt>B<set_logo_bg_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 $druid_page_edge-E<gt>B<set_logo> ($logo_image)

=over

=item * $logo_image (Gtk2::Gdk::Pixbuf or undef) 

=back

=head2 $druid_page_edge-E<gt>B<set_text_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 $druid_page_edge-E<gt>B<set_text> ($text)

=over

=item * $text (string) 

=back

=head2 $druid_page_edge-E<gt>B<set_textbox_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 $druid_page_edge-E<gt>B<set_title_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 $druid_page_edge-E<gt>B<set_title> ($title)

=over

=item * $title (string) 

=back

=head2 $druid_page_edge-E<gt>B<set_top_watermark> ($top_watermark_image)

=over

=item * $top_watermark_image (Gtk2::Gdk::Pixbuf or undef) 

=back

=head2 $druid_page_edge-E<gt>B<set_watermark> ($watermark)

=over

=item * $watermark (Gtk2::Gdk::Pixbuf or undef) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gnome2::EdgePosition

=over

=item * 'start' / 'GNOME_EDGE_START'

=item * 'finish' / 'GNOME_EDGE_FINISH'

=item * 'other' / 'GNOME_EDGE_OTHER'

=item * 'last' / 'GNOME_EDGE_LAST'

=back




=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gnome2::DruidPage>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

